Subject: Ticket Assigned - Article Feedback - I was unavailable each time your delivery partner tried to contact me. Can you ask them to call me again?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 01 Jul 2022 20:04:49 +0000

Hi Abdulrahman Alqumea,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I was unavailable each time your delivery partner tried to contact me. Can you ask them to call me again? Feedback for:  I was unavailable each time your delivery partner tried to contact me. Can you ask them to call me again? This is a lie. 36 emails a verbally abusive driver and my return has not been picked. Go back to my correspondence. Worst return service https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4568714